Bug 1632320 - python-filelock: Remove (sub)packages from Fedora 30+: python2-filelock
Summary: python-filelock: Remove (sub)packages from Fedora 30+: python2-filelock
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-filelock
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-24 15:32 UTC by Miro Hrončok
Modified: 2018-10-30 21:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 21:42:54 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-24 15:32:27 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-filelock were marked for removal:

 * python2-filelock

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-28 21:47:10 UTC
Hey! What's the status here? Can we help you somehow?

Comment 2 Scott K Logan 2018-10-29 07:00:17 UTC
I'll bump this to my queue tomorrow.


Note You need to log in before you can comment on or make changes to this bug.